<template>
  <div v-if="entrees">
    <h1 class="ml-2">Les entrées</h1>
    <b-col cols="12" class="mx-auto" style="width: 600px;">
      <div v-for="entree in entrees" :key="entree.id">
        <b-card
          no-body
          class="overflow-hidden m-2 mb-16"
          style="max-width: 540px;"
        >
          <b-row no-gutters>
            <b-col md="6">
              <b-card-body>
                <b-card-text>
                  <h1>{{ entree.name_dish }}</h1>
                  <p>{{ entree.description_dish }}</p>
                  <p>{{ entree.price_dish }}</p>
                  <p>{{ entree.allergens_dish }}</p>
                  <p>{{ entree.weight_dish }}</p>
                </b-card-text>
                <b-form-rating
                  v-model="value"
                  variant="warning"
                  show-value
                ></b-form-rating>
              </b-card-body>
              <div>
                <b-button
                  @click="addToCart(entree)"
                  variant="outline-primary"
                  class="m-2"
                  href="#"
                  >Sélectionner</b-button
                >
                <b-button @click="detailEntree(entree)"
                  >Détail du plat</b-button
                >
              </div>
            </b-col>
            <b-col md="6">
              <img class="img" :src="entree.picture_link" />
            </b-col>
          </b-row>
        </b-card>
      </div>

      <b-modal :id="'modal'" scrollable>
        <h1>{{ entree_modal.name_dish }}</h1>
        <img class="img" :src="entree_modal.picture_link" />
        <p class="my-4">
          {{ entree_modal.description_dish }}
        </p>
        <p class="my-4">
          {{ entree_modal.price_dish }}
        </p>
        <p class="my-4">
          {{ entree_modal.allergens_dish }}
        </p>
        <p class="my-4">
          {{ entree_modal.weight_dish }}
        </p>
        <p>{{ entree_modal.nutritional_values_dish }}</p>
      </b-modal>
    </b-col>
  </div>
</template>

<script>
export default {
  data() {
    return {
      entree_modal:{},
      id: null,
    };
  },
  created() {
    this.$store.dispatch("getEntree");
  },
  computed: {
    entrees() {
      return this.$store.state.entree;
    },
  },
  methods: {
    addToCart(entree) {
      this.$store
        .dispatch("updateCartEntree", entree)
        .then(() => console.log(this.$store.state.cart));
    },
    detailEntree(entree) {
      console.log(entree);
      this.entree_modal = entree;
      this.$bvModal.show("modal");
    },
  },
};
</script>

<style scoped>
.img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
</style>
